OpenStack Compute (Nova)

minRam and minDisk display as Ints in /images/detail response

Reported by Dan Prince on 2011-09-25
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenStack Compute (nova)
Low
Brian Waldon

Bug Description

Using the v1.1 OSAPI. If I do a GET on /images/detail minRam and minDisk are currently displaying Integers:

"minRam": 0
"minDisk": 0

They should display as JSON strings.

---

Its worth noting that the /images/<id> response correctly formats the minRam and minDisk as strings.

Dan Prince (dan-prince) on 2011-09-25
Changed in nova:
importance: Undecided → Low
Dan Prince (dan-prince) on 2011-09-26
tags: added: osapi-v1.1
Brian Waldon (bcwaldon) on 2011-09-26
Changed in nova:
status: New → In Progress
assignee: nobody → Brian Waldon (bcwaldon)
Brian Waldon (bcwaldon) wrote :

Can you point out in the spec where it says they should be strings? It seems to me like the spec says they should all be ints: http://docs.openstack.org/api/openstack-compute/1.1/content/Get_Image_Details-d1e4848.html

Dan Prince (dan-prince) wrote :

Ah. I see. I wrote the opposite.

When I do a GET on /image/1 I get this:

{"image": {"status": "ACTIVE", "updated": "2011-09-26T14:12:01Z", "name": "squeeze", "links": [{"href": "http://172.19.0.3:8774/v1.1/admin/images/1", "rel": "self"}, {"href": "http://172.19.0.3:8774/admin/images/1", "rel": "bookmark"}, {"href": "http://172.19.0.3:9292/admin/images/1", "type": "application/vnd.openstack.image", "rel": "alternate"}], "created": "2011-09-26T14:11:04Z", "minDisk": "0", "progress": 100, "minRam": "0", "id": "1", "metadata": {}}}

So what we actually need to do is make them all Integers then.

Reviewed: https://review.openstack.org/658
Committed: http://github.com/openstack/nova/commit/3981a218da0c201a89158cf9a95400e44f9c6eb2
Submitter: Jenkins
Branch: master

 status fixcommitted
 done

commit 3981a218da0c201a89158cf9a95400e44f9c6eb2
Author: Brian Waldon <email address hidden>
Date: Mon Sep 26 13:13:33 2011 -0400

    Ensure minRam and minDisk are always integers

    Fixing bug 859149

    Change-Id: I52bcb442225e8e3cb4aecc6d993e1c3a774cdf84

Changed in nova:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2011-11-09
Changed in nova:
milestone: none → essex-1
Thierry Carrez (ttx) on 2011-11-17
Changed in nova:
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2012-04-05
Changed in nova:
milestone: essex-1 → 2012.1
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers